#ifndef FLEX_H
#define FLEX_H

#include "feature.h"


/* ACL definitions */
#ifndef _INCLUDE_ACL_COMPONENT_API_
#define _INCLUDE_ACL_COMPONENT_API_
#define L7_ACL_PACKAGE 1
#define L7_QOS_FLEX_PACKAGE_ACL 1
#endif

/* ALPM definitions */
#ifndef _INCLUDE_ALPM_COMPONENT_API_
#define _INCLUDE_ALPM_COMPONENT_API_
#define L7_ALPM_PACKAGE 1
#define L7_ALPM_PACKAGE 1
#endif

/* AUTHMGR definitions */
#ifndef _INCLUDE_AUTHMGR_COMPONENT_API_
#define _INCLUDE_AUTHMGR_COMPONENT_API_
#define L7_AUTHMGR_PACKAGE 1
#endif

/* BFD definitions */
#ifndef _INCLUDE_BFD_COMPONENT_API_
#define _INCLUDE_BFD_COMPONENT_API_
#define L7_BFD_PACKAGE 1
#endif

/* BHD definitions */
#ifndef _INCLUDE_BHD_COMPONENT_API_
#define _INCLUDE_BHD_COMPONENT_API_
#define L7_BHD_PACKAGE 1
#endif

/* CMD_LOGGER definitions */
#ifndef _INCLUDE_CMD_LOGGER_COMPONENT_API_
#define _INCLUDE_CMD_LOGGER_COMPONENT_API_
#define L7_CMD_LOGGER_PACKAGE 1
#endif

/* COS definitions */
#ifndef _INCLUDE_COS_COMPONENT_API_
#define _INCLUDE_COS_COMPONENT_API_
#define L7_COS_PACKAGE 1
#define L7_QOS_FLEX_PACKAGE_COS 1
#endif

/* DAI definitions */
#ifndef _INCLUDE_DAI_COMPONENT_API_
#define _INCLUDE_DAI_COMPONENT_API_
#define L7_DAI_PACKAGE 1
#endif

/* DAS definitions */
#ifndef _INCLUDE_DAS_COMPONENT_API_
#define _INCLUDE_DAS_COMPONENT_API_
#define L7_DAS_PACKAGE 1
#endif

/* DCBX definitions */
#ifndef _INCLUDE_DCBX_COMPONENT_API_
#define _INCLUDE_DCBX_COMPONENT_API_
#define L7_DCBX_PACKAGE 1
#define L7_DCBX_PACKAGE 1
#endif

/* DCVPN definitions */
#ifndef _INCLUDE_DCVPN_COMPONENT_API_
#define _INCLUDE_DCVPN_COMPONENT_API_
#define L7_DCVPN_PACKAGE 1
#define L7_DCVPN_PACKAGE 1
#endif

/* DHCPS definitions */
#ifndef _INCLUDE_DHCPS_COMPONENT_API_
#define _INCLUDE_DHCPS_COMPONENT_API_
#define L7_DHCPS_PACKAGE 1
#endif

/* DHCPS6 definitions */
#ifndef _INCLUDE_DHCPS6_COMPONENT_API_
#define _INCLUDE_DHCPS6_COMPONENT_API_
#define L7_DHCPS6_PACKAGE 1
#endif

/* DHCP_L2_RELAY definitions */
#ifndef _INCLUDE_DHCP_L2_RELAY_COMPONENT_API_
#define _INCLUDE_DHCP_L2_RELAY_COMPONENT_API_
#define L7_DHCP_L2_RELAY_PACKAGE 1
#endif

/* DHCP_SNOOPING definitions */
#ifndef _INCLUDE_DHCP_SNOOPING_COMPONENT_API_
#define _INCLUDE_DHCP_SNOOPING_COMPONENT_API_
#define L7_DHCP_SNOOPING_PACKAGE 1
#endif

/* DNS_CLIENT_NATIVE definitions */
#ifndef _INCLUDE_DNS_CLIENT_NATIVE_COMPONENT_API_
#define _INCLUDE_DNS_CLIENT_NATIVE_COMPONENT_API_
#define L7_DNS_CLIENT_NATIVE_PACKAGE 1
#endif

/* DOT1X definitions */
#ifndef _INCLUDE_DOT1X_COMPONENT_API_
#define _INCLUDE_DOT1X_COMPONENT_API_
#define L7_DOT1X_PACKAGE 1
#endif

/* DVLAN definitions */
#ifndef _INCLUDE_DVLAN_COMPONENT_API_
#define _INCLUDE_DVLAN_COMPONENT_API_
#define L7_DVLAN_PACKAGE 1
#endif

/* DiffServ definitions */
#ifndef _INCLUDE_DIFFSERV_COMPONENT_API_
#define _INCLUDE_DIFFSERV_COMPONENT_API_
#define L7_DIFFSERV_PACKAGE 1
#define L7_QOS_FLEX_PACKAGE_DIFFSERV 1
#endif

/* DoS definitions */
#ifndef _INCLUDE_DOS_COMPONENT_API_
#define _INCLUDE_DOS_COMPONENT_API_
#define L7_DOS_PACKAGE 1
#endif

/* FIP_SNOOPING definitions */
#ifndef _INCLUDE_FIP_SNOOPING_COMPONENT_API_
#define _INCLUDE_FIP_SNOOPING_COMPONENT_API_
#define L7_FIP_SNOOPING_PACKAGE 1
#define L7_FIP_SNOOPING_PACKAGE 1
#endif

/* IGMP_SNOOPING definitions */
#ifndef _INCLUDE_IGMP_SNOOPING_COMPONENT_API_
#define _INCLUDE_IGMP_SNOOPING_COMPONENT_API_
#define L7_IGMP_SNOOPING_PACKAGE 1
#endif

/* INSTRU_APP definitions */
#ifndef _INCLUDE_INSTRU_APP_COMPONENT_API_
#define _INCLUDE_INSTRU_APP_COMPONENT_API_
#define L7_INSTRU_APP_PACKAGE 1
#endif

/* INTERFACE_APP definitions */
#ifndef _INCLUDE_INTERFACE_APP_COMPONENT_API_
#define _INCLUDE_INTERFACE_APP_COMPONENT_API_
#define L7_INTERFACE_APP_PACKAGE 1
#endif

/* IPSG definitions */
#ifndef _INCLUDE_IPSG_COMPONENT_API_
#define _INCLUDE_IPSG_COMPONENT_API_
#define L7_IPSG_PACKAGE 1
#endif

/* IPV6_WEB_MGMT definitions */
#ifndef _INCLUDE_IPV6_WEB_MGMT_COMPONENT_API_
#define _INCLUDE_IPV6_WEB_MGMT_COMPONENT_API_
#define L7_IPV6_WEB_MGMT_PACKAGE 1
#endif

/* IPv4DT definitions */
#ifndef _INCLUDE_IPV4DT_COMPONENT_API_
#define _INCLUDE_IPV4DT_COMPONENT_API_
#define L7_IPV4DT_PACKAGE 1
#endif

/* ISDP definitions */
#ifndef _INCLUDE_ISDP_COMPONENT_API_
#define _INCLUDE_ISDP_COMPONENT_API_
#define L7_ISDP_PACKAGE 1
#endif

/* ISSU definitions */
#ifndef _INCLUDE_ISSU_COMPONENT_API_
#define _INCLUDE_ISSU_COMPONENT_API_
#define L7_ISSU_PACKAGE 1
#endif

/* LDAP definitions */
#ifndef _INCLUDE_LDAP_COMPONENT_API_
#define _INCLUDE_LDAP_COMPONENT_API_
#define L7_LDAP_PACKAGE 1
#endif

/* LINK_DEPENDENCY definitions */
#ifndef _INCLUDE_LINK_DEPENDENCY_COMPONENT_API_
#define _INCLUDE_LINK_DEPENDENCY_COMPONENT_API_
#define L7_LINK_DEPENDENCY_PACKAGE 1
#endif

/* LLDP definitions */
#ifndef _INCLUDE_LLDP_COMPONENT_API_
#define _INCLUDE_LLDP_COMPONENT_API_
#define L7_LLDP_PACKAGE 1
#endif

/* LP64 definitions */
#ifndef _INCLUDE_LP64_COMPONENT_API_
#define _INCLUDE_LP64_COMPONENT_API_
#define L7_LP64_PACKAGE 1
#endif

/* MACLOCK definitions */
#ifndef _INCLUDE_MACLOCK_COMPONENT_API_
#define _INCLUDE_MACLOCK_COMPONENT_API_
#define L7_MACLOCK_PACKAGE 1
#endif

/* MGMT_ACAL definitions */
#ifndef _INCLUDE_MGMT_ACAL_COMPONENT_API_
#define _INCLUDE_MGMT_ACAL_COMPONENT_API_
#define L7_MGMT_ACAL_PACKAGE 1
#endif

/* MLAG definitions */
#ifndef _INCLUDE_MLAG_COMPONENT_API_
#define _INCLUDE_MLAG_COMPONENT_API_
#define L7_MLAG_PACKAGE 1
#endif

/* MPLS definitions */
#ifndef _INCLUDE_MPLS_COMPONENT_API_
#define _INCLUDE_MPLS_COMPONENT_API_
#define L7_MPLS_PACKAGE 1
#endif

/* MVR definitions */
#ifndef _INCLUDE_MVR_COMPONENT_API_
#define _INCLUDE_MVR_COMPONENT_API_
#define L7_MVR_PACKAGE 1
#endif

/* NETWORKPORT definitions */
#ifndef _INCLUDE_NETWORKPORT_COMPONENT_API_
#define _INCLUDE_NETWORKPORT_COMPONENT_API_
#define L7_NETWORKPORT_PACKAGE 1
#endif

/* OPENFLOW definitions */
#ifndef _INCLUDE_OPENFLOW_COMPONENT_API_
#define _INCLUDE_OPENFLOW_COMPONENT_API_
#define L7_OPENFLOW_PACKAGE 1
#endif

/* OSPF definitions */
#ifndef _INCLUDE_OSPF_COMPONENT_API_
#define _INCLUDE_OSPF_COMPONENT_API_
#define L7_OSPF_PACKAGE 1
#endif

/* OUTBOUND_SSH definitions */
#ifndef _INCLUDE_OUTBOUND_SSH_COMPONENT_API_
#define _INCLUDE_OUTBOUND_SSH_COMPONENT_API_
#define L7_OUTBOUND_SSH_PACKAGE 1
#endif

/* OUTBOUND_TELNET definitions */
#ifndef _INCLUDE_OUTBOUND_TELNET_COMPONENT_API_
#define _INCLUDE_OUTBOUND_TELNET_COMPONENT_API_
#define L7_OUTBOUND_TELNET_PACKAGE 1
#endif

/* OpEN definitions */
#ifndef _INCLUDE_OPEN_COMPONENT_API_
#define _INCLUDE_OPEN_COMPONENT_API_
#define L7_OPEN_PACKAGE 1
#endif

/* PACKET_TRACE definitions */
#ifndef _INCLUDE_PACKET_TRACE_COMPONENT_API_
#define _INCLUDE_PACKET_TRACE_COMPONENT_API_
#define L7_PACKET_TRACE_PACKAGE 1
#endif

/* PBR definitions */
#ifndef _INCLUDE_PBR_COMPONENT_API_
#define _INCLUDE_PBR_COMPONENT_API_
#define L7_PBR_PACKAGE 1
#define L7_PBR_PACKAGE 1
#endif

/* PFC definitions */
#ifndef _INCLUDE_PFC_COMPONENT_API_
#define _INCLUDE_PFC_COMPONENT_API_
#define L7_PFC_PACKAGE 1
#define L7_PFC_PACKAGE 1
#endif

/* PING definitions */
#ifndef _INCLUDE_PING_COMPONENT_API_
#define _INCLUDE_PING_COMPONENT_API_
#define L7_PING_PACKAGE 1
#endif

/* PROTO_API definitions */
#ifndef _INCLUDE_PROTO_API_COMPONENT_API_
#define _INCLUDE_PROTO_API_COMPONENT_API_
#define L7_PROTO_API_PACKAGE 1
#endif

/* PROT_PORTS definitions */
#ifndef _INCLUDE_PROT_PORTS_COMPONENT_API_
#define _INCLUDE_PROT_PORTS_COMPONENT_API_
#define L7_PROT_PORTS_PACKAGE 1
#endif

/* RADIUS definitions */
#ifndef _INCLUDE_RADIUS_COMPONENT_API_
#define _INCLUDE_RADIUS_COMPONENT_API_
#define L7_RADIUS_PACKAGE 1
#endif

/* RAGUARD definitions */
#ifndef _INCLUDE_RAGUARD_COMPONENT_API_
#define _INCLUDE_RAGUARD_COMPONENT_API_
#define L7_RAGUARD_PACKAGE 1
#endif

/* REDIRECT definitions */
#ifndef _INCLUDE_REDIRECT_COMPONENT_API_
#define _INCLUDE_REDIRECT_COMPONENT_API_
#define L7_REDIRECT_PACKAGE 1
#endif

/* RLIM definitions */
#ifndef _INCLUDE_RLIM_COMPONENT_API_
#define _INCLUDE_RLIM_COMPONENT_API_
#define L7_RLIM_PACKAGE 1
#endif

/* RMON definitions */
#ifndef _INCLUDE_RMON_COMPONENT_API_
#define _INCLUDE_RMON_COMPONENT_API_
#define L7_RMON_PACKAGE 1
#endif

/* RPC definitions */
#ifndef _INCLUDE_RPC_COMPONENT_API_
#define _INCLUDE_RPC_COMPONENT_API_
#define L7_RPC_PACKAGE 1
#endif

/* RPCAP definitions */
#ifndef _INCLUDE_RPCAP_COMPONENT_API_
#define _INCLUDE_RPCAP_COMPONENT_API_
#define L7_RPCAP_PACKAGE 1
#endif

/* SFLOW definitions */
#ifndef _INCLUDE_SFLOW_COMPONENT_API_
#define _INCLUDE_SFLOW_COMPONENT_API_
#define L7_SFLOW_PACKAGE 1
#endif

/* SPANNING_TREE definitions */
#ifndef _INCLUDE_SPANNING_TREE_COMPONENT_API_
#define _INCLUDE_SPANNING_TREE_COMPONENT_API_
#define L7_SPANNING_TREE_PACKAGE 1
#endif

/* SSH definitions */
#ifndef _INCLUDE_SSH_COMPONENT_API_
#define _INCLUDE_SSH_COMPONENT_API_
#define L7_SSH_PACKAGE 1
#endif

/* SSLT definitions */
#ifndef _INCLUDE_SSLT_COMPONENT_API_
#define _INCLUDE_SSLT_COMPONENT_API_
#define L7_SSLT_PACKAGE 1
#endif

/* STATIC_FILTERING definitions */
#ifndef _INCLUDE_STATIC_FILTERING_COMPONENT_API_
#define _INCLUDE_STATIC_FILTERING_COMPONENT_API_
#define L7_STATIC_FILTERING_PACKAGE 1
#endif

/* STATS_APP definitions */
#ifndef _INCLUDE_STATS_APP_COMPONENT_API_
#define _INCLUDE_STATS_APP_COMPONENT_API_
#define L7_STATS_APP_PACKAGE 1
#endif

/* STD_POLICY definitions */
#ifndef _INCLUDE_STD_POLICY_COMPONENT_API_
#define _INCLUDE_STD_POLICY_COMPONENT_API_
#define L7_STD_POLICY_PACKAGE 1
#endif

/* SWIG definitions */
#ifndef _INCLUDE_SWIG_COMPONENT_API_
#define _INCLUDE_SWIG_COMPONENT_API_
#define L7_SWIG_PACKAGE 1
#endif

/* TACACS definitions */
#ifndef _INCLUDE_TACACS_COMPONENT_API_
#define _INCLUDE_TACACS_COMPONENT_API_
#define L7_TACACS_PACKAGE 1
#endif

/* TRACE_ROUTE definitions */
#ifndef _INCLUDE_TRACE_ROUTE_COMPONENT_API_
#define _INCLUDE_TRACE_ROUTE_COMPONENT_API_
#define L7_TRACE_ROUTE_PACKAGE 1
#endif

/* UDLD definitions */
#ifndef _INCLUDE_UDLD_COMPONENT_API_
#define _INCLUDE_UDLD_COMPONENT_API_
#define L7_UDLD_PACKAGE 1
#endif

/* UISM definitions */
#ifndef _INCLUDE_UISM_COMPONENT_API_
#define _INCLUDE_UISM_COMPONENT_API_
#define L7_UISM_PACKAGE 1
#endif

/* USERAPP_CONFIG_DB definitions */
#ifndef _INCLUDE_USERAPP_CONFIG_DB_COMPONENT_API_
#define _INCLUDE_USERAPP_CONFIG_DB_COMPONENT_API_
#define L7_USERAPP_CONFIG_DB_PACKAGE 1
#endif

/* VOIP definitions */
#ifndef _INCLUDE_VOIP_COMPONENT_API_
#define _INCLUDE_VOIP_COMPONENT_API_
#define L7_VOIP_PACKAGE 1
#define L7_QOS_FLEX_PACKAGE_VOIP 1
#endif

/* VRRP definitions */
#ifndef _INCLUDE_VRRP_COMPONENT_API_
#define _INCLUDE_VRRP_COMPONENT_API_
#define L7_VRRP_PACKAGE 1
#endif

/* cjson definitions */
#ifndef _INCLUDE_CJSON_COMPONENT_API_
#define _INCLUDE_CJSON_COMPONENT_API_
#define L7_CJSON_PACKAGE 1
#endif

/* emweb definitions */
#ifndef _INCLUDE_EMWEB_COMPONENT_API_
#define _INCLUDE_EMWEB_COMPONENT_API_
#define L7_EMWEB_PACKAGE 1
#endif

/* oldcliweb definitions */
#ifndef _INCLUDE_OLDCLIWEB_COMPONENT_API_
#define _INCLUDE_OLDCLIWEB_COMPONENT_API_
#define L7_OLDCLIWEB_PACKAGE 1
#endif

/* x86linux definitions */
#ifndef _INCLUDE_X86LINUX_COMPONENT_API_
#define _INCLUDE_X86LINUX_COMPONENT_API_
#define L7_X86LINUX_PACKAGE 1
#endif

/* BGP definitions */
#ifndef _INCLUDE_BGP_COMPONENT_API_
#define _INCLUDE_BGP_COMPONENT_API_
#define L7_BGP_PACKAGE 1
#endif

/* DataCenter definitions */
#ifndef _INCLUDE_DATACENTER_COMPONENT_API_
#define _INCLUDE_DATACENTER_COMPONENT_API_
#define L7_DATACENTER_PACKAGE 1
#endif

/* IPV6 definitions */
#ifndef _INCLUDE_IPV6_COMPONENT_API_
#define _INCLUDE_IPV6_COMPONENT_API_
#define L7_IPV6_PACKAGE 1
#endif

/* IP_MCAST definitions */
#ifndef _INCLUDE_IP_MCAST_COMPONENT_API_
#define _INCLUDE_IP_MCAST_COMPONENT_API_
#define L7_IP_MCAST_PACKAGE 1
#define L7_MCAST_PACKAGE 1
#endif

/* ONIE definitions */
#ifndef _INCLUDE_ONIE_COMPONENT_API_
#define _INCLUDE_ONIE_COMPONENT_API_
#define L7_ONIE_PACKAGE 1
#endif

/* QOS definitions */
#ifndef _INCLUDE_QOS_COMPONENT_API_
#define _INCLUDE_QOS_COMPONENT_API_
#define L7_QOS_PACKAGE 1
#endif

/* Secure_Mgmt definitions */
#ifndef _INCLUDE_SECURE_MGMT_COMPONENT_API_
#define _INCLUDE_SECURE_MGMT_COMPONENT_API_
#define L7_SECURE_MGMT_PACKAGE 1
#define L7_MGMT_SECURITY_PACKAGE 1
#endif

/* VRF definitions */
#ifndef _INCLUDE_VRF_COMPONENT_API_
#define _INCLUDE_VRF_COMPONENT_API_
#define L7_VRF_PACKAGE 1
#endif

/* SSL_LIB definitions */
#ifndef _INCLUDE_SSL_LIB_COMPONENT_API_
#define _INCLUDE_SSL_LIB_COMPONENT_API_
#define L7_SSL_LIB_PACKAGE 1
#define L7_OPENSSL_PACKAGE 1
#endif

/* CLI definitions */
#ifndef _INCLUDE_CLI_COMPONENT_API_
#define _INCLUDE_CLI_COMPONENT_API_
#define L7_CLI_PACKAGE 1
#endif

/* NETCONF definitions */
#ifndef _INCLUDE_NETCONF_COMPONENT_API_
#define _INCLUDE_NETCONF_COMPONENT_API_
#define L7_NETCONF_PACKAGE 1
#endif

/* NetSnmp definitions */
#ifndef _INCLUDE_NETSNMP_COMPONENT_API_
#define _INCLUDE_NETSNMP_COMPONENT_API_
#define L7_NETSNMP_PACKAGE 1
#endif

/* RESTCONF definitions */
#ifndef _INCLUDE_RESTCONF_COMPONENT_API_
#define _INCLUDE_RESTCONF_COMPONENT_API_
#define L7_RESTCONF_PACKAGE 1
#endif

/* RESTful definitions */
#ifndef _INCLUDE_RESTFUL_COMPONENT_API_
#define _INCLUDE_RESTFUL_COMPONENT_API_
#define L7_RESTFUL_PACKAGE 1
#endif

/* BOX_SERVICES definitions */
#ifndef _INCLUDE_BOX_SERVICES_COMPONENT_API_
#define _INCLUDE_BOX_SERVICES_COMPONENT_API_
#define L7_BOX_SERVICES_PACKAGE 1
#endif

/* CABLE_TEST definitions */
#ifndef _INCLUDE_CABLE_TEST_COMPONENT_API_
#define _INCLUDE_CABLE_TEST_COMPONENT_API_
#define L7_CABLE_TEST_PACKAGE 1
#endif

/* EDB definitions */
#ifndef _INCLUDE_EDB_COMPONENT_API_
#define _INCLUDE_EDB_COMPONENT_API_
#define L7_EDB_PACKAGE 1
#endif

/* OPENRPC_LIB definitions */
#ifndef _INCLUDE_OPENRPC_LIB_COMPONENT_API_
#define _INCLUDE_OPENRPC_LIB_COMPONENT_API_
#define L7_OPENRPC_LIB_PACKAGE 1
#endif

/* TIMERANGES definitions */
#ifndef _INCLUDE_TIMERANGES_COMPONENT_API_
#define _INCLUDE_TIMERANGES_COMPONENT_API_
#define L7_TIMERANGES_PACKAGE 1
#endif

/* Lighttpd definitions */
#ifndef _INCLUDE_LIGHTTPD_COMPONENT_API_
#define _INCLUDE_LIGHTTPD_COMPONENT_API_
#define L7_LIGHTTPD_PACKAGE 1
#endif

/* Lua definitions */
#ifndef _INCLUDE_LUA_COMPONENT_API_
#define _INCLUDE_LUA_COMPONENT_API_
#define L7_LUA_PACKAGE 1
#endif

/* Luaopen definitions */
#ifndef _INCLUDE_LUAOPEN_COMPONENT_API_
#define _INCLUDE_LUAOPEN_COMPONENT_API_
#define L7_LUAOPEN_PACKAGE 1
#endif

/* Routing definitions */
#ifndef _INCLUDE_ROUTING_COMPONENT_API_
#define _INCLUDE_ROUTING_COMPONENT_API_
#define L7_ROUTING_PACKAGE 1
#endif
#define CLI_WEB_PRESENT 1


#endif /* FLEX_H */
