#ifndef FEATURE_H
#define FEATURE_H

#define L7_FEAT_ACL_COUNTERS 1
#define L7_FEAT_ACL_LOG_DENY 1
#define L7_FEAT_ACL_MIRROR 1
#define L7_FEAT_ACL_PERMIT_DEVICE_VIEW 0
#define L7_FEAT_ACL_REMARKS 1
#define L7_FEAT_ACL_RULE_TIME_RANGE 1
#define L7_FEAT_ACL_WIZARD 0
#define L7_FEAT_ALTERA_CPLD_UPDATE 0
#define L7_FEAT_APPLY_CFG_AFTER_DOWNLOAD 0
#define L7_FEAT_ASYMM_FLOW_CONTROL 1
#define L7_FEAT_AUTHMGR_DACL 1
#define L7_FEAT_AUTHMGR_DYNAMIC_VLANASSIGN 1
#define L7_FEAT_AUTHMGR_MAB 1
#define L7_FEAT_AUTHMGR_VLANASSIGN 1
#define L7_FEAT_AUTOINSTALL_AUTOMATION_INFRASTRUCTURE 0
#define L7_FEAT_AUTOINSTALL_BCAST 1
#define L7_FEAT_AUTOINSTALL_DHCP_ENABLE 1
#define L7_FEAT_AUTOINSTALL_IMAGE_DOWNGRADE 0
#define L7_FEAT_AUTOINSTALL_IMAGE_DOWNLOAD 0
#define L7_FEAT_AUTOINSTALL_MGMT_ONLY_FOR_ROUTING_INTF 0
#define L7_FEAT_AUTOINSTALL_REBOOT 0
#define L7_FEAT_AUTO_BOOTCODE_UPDATE 0
#define L7_FEAT_AUTO_DOS 0
#define L7_FEAT_AUTO_LOGIN 1
#define L7_FEAT_AUTO_VIDEO 0
#define L7_FEAT_BANNER_MOTD 0
#define L7_FEAT_BCAST_STORM_CTRL_SHUTDOWN 1
#define L7_FEAT_BINARY_CONFIG 1
#define L7_FEAT_BLOCK_MDNS_IPV6 0
#define L7_FEAT_BOOTCODE_UPDATE 0
#define L7_FEAT_BOOT_DEV_ACTIVATE 0
#define L7_FEAT_BSP_DIAGS 0
#define L7_FEAT_BSP_HAL 0
#define L7_FEAT_BST_MV 0
#define L7_FEAT_BST_TD2 0
#define L7_FEAT_BST_TD3 1
#define L7_FEAT_BST_TH 0
#define L7_FEAT_BST_TH2 0
#define L7_FEAT_CAPABILITY_LICENSING 0
#define L7_FEAT_CFE_VER_READ 0
#define L7_FEAT_CFG_SCRIPT_COMPRESS 0
#define L7_FEAT_CHASSIS 0
#define L7_FEAT_CHEETAH_MANAGED 1
#define L7_FEAT_CHEETAH_SMART 0
#define L7_FEAT_CHEETAH_SMART_OVERRIDES 0
#define L7_FEAT_CHEETAH_SMART_WIZARD 0
#define L7_FEAT_CHEETAH_WEB_STYLE_2013 0
#define L7_FEAT_CLI_CMDS_ENHANCEMENTS 0
#define L7_FEAT_CLI_MBUF_COMMANDS 1
#define L7_FEAT_CLI_TECHSUPP_FILE_CMD 1
#define L7_FEAT_COMMAND_AUTHORIZATION 1
#define L7_FEAT_CONFIG_AUTO_SAVE 0
#define L7_FEAT_CONFLICT_TABLE_CLEAR 0
#define L7_FEAT_CPUSTATS 1
#define L7_FEAT_CPU_UTILIZATION 1
#define L7_FEAT_CRASH_DATA_RECORDER 1
#define L7_FEAT_CUSTOM_MMU 0
#define L7_FEAT_CUSTOM_UBOOT_VER 0
#define L7_FEAT_DEFAULT_PASSWORD_CHANGE 0
#define L7_FEAT_DETECT_FIBER_MEDIUM 0
#define L7_FEAT_DEVSHELL_SYM_LOAD 1
#define L7_FEAT_DHCP_FALLBACK_IP_ADDRESS 0
#define L7_FEAT_DHCP_RELAY_OPTION82_ENHANCEMENTS 0
#define L7_FEAT_DHCP_SNOOPING_DB_PERSISTENCY 1
#define L7_FEAT_DIAG_DISABLED_AUTO_RECOVERY 1
#define L7_FEAT_DIFFSERV_CLASS_MATCH_IPV6_FLOWLBL 0
#define L7_FEAT_DIFFSERV_CPU_PRIORITY 0
#define L7_FEAT_DIFFSERV_OCTETS 1
#define L7_FEAT_DIFFSERV_POLICY_ATTR_MIRROR 1
#define L7_FEAT_DIGEST_KEY_WITH_VLAN4094 0
#define L7_FEAT_DIGITAL_SIGNATURE_CONFIG_SCRIPT_VALIDATE 1
#define L7_FEAT_DIGITAL_SIGNATURE_IMAGE_VALIDATE 0
#define L7_FEAT_DIGITAL_SIGNATURE_VERIFY_OPTIONS_SUPPORT 1
#define L7_FEAT_DIM 0
#define L7_FEAT_DIM_USE_FILENAME 0
#define L7_FEAT_DISK_SPACE_UTILIZATION 0
#define L7_FEAT_DISPLAY_CFE_VERSION_PREFIX 0
#define L7_FEAT_DOS_PINGFLOODING 0
#define L7_FEAT_DOS_SMURFATTACK 0
#define L7_FEAT_DOS_SYNACKFLOODING 0
#define L7_FEAT_DOS_SYNFRAG_SUPPORT 1
#define L7_FEAT_DOT1AD_L2CONTROL_PROTOCOL_TUNNELING_HARDWARE 1
#define L7_FEAT_DOT1AG_LTR_SORT 0
#define L7_FEAT_DOT1S_BPDUGUARD 1
#define L7_FEAT_DOT1S_BPPDUFILTER 1
#define L7_FEAT_DOT1S_BPPDUFLOOD 1
#define L7_FEAT_DOT1S_BRIDGE_MIB_COMPATIBILITY 0
#define L7_FEAT_DOT1S_LAG_AUTOPATH_CALCULATION 0
#define L7_FEAT_DOT1S_LOOPGUARD 1
#define L7_FEAT_DOT1S_ROOTGUARD 1
#define L7_FEAT_DOT1S_TCINITIATE_TRAP 0
#define L7_FEAT_DOT1X_MAB 0
#define L7_FEAT_DOT1X_SUPPLICANT 1
#define L7_FEAT_DOT1X_SUPPLICANT_CONTROL_ON_AUTH_PORTS 1
#define L7_FEAT_DOT3AD 1
#define L7_FEAT_DYING_GASP 1
#define L7_FEAT_DYNAMIC_PHY_CAPABILITY 0
#define L7_FEAT_EAV_STACK 0
#define L7_FEAT_EGRESS_PORT_IN_PACKET_SAMPLE 0
#define L7_FEAT_ESW_MDK 0
#define L7_FEAT_ETHERNET_SPEED_DUPLEX_ENHANCEMENTS 0
#define L7_FEAT_ETH_CFM_SOFTWARE_CCM 0
#define L7_FEAT_EXTENDED_STACK_INFO 0
#define L7_FEAT_EZ_CONFIG 0
#define L7_FEAT_FAN_CONTROL 0
#define L7_FEAT_FAN_DISPLAY_FORMAT 0
#define L7_FEAT_FIXED_SPEED_1G 0
#define L7_FEAT_FPTI_KMOD 1
#define L7_FEAT_FT 0
#define L7_FEAT_FULL_MEMORY_DUMP 1
#define L7_FEAT_GLOBAL_FLOW_CONTROL 1
#define L7_FEAT_GREENETHR_EEE_AUTO 1
#define L7_FEAT_GREENETHR_EEE_LPI_HISTORY 1
#define L7_FEAT_GREENETHR_EEE_NATIVE 1
#define L7_FEAT_GREENETHR_ENERGY_DETECT 1
#define L7_FEAT_GREENETHR_GLOBAL_MODE 0
#define L7_FEAT_GREENETHR_LLDP_CAPABILITY_EXCHG 1
#define L7_FEAT_GREENETHR_PWR_USAGE_ESTIMATE 1
#define L7_FEAT_GREENETHR_SHORT_REACH 0
#define L7_FEAT_HARDWARE_ENABLED_DOT1AG 1
#define L7_FEAT_HARDWARE_ENABLED_ETHERNET_MIP 1
#define L7_FEAT_HARDWARE_ENABLED_ETHERNET_OAM 1
#define L7_FEAT_HARDWARE_ENABLED_ETHERNET_UPMEP 1
#define L7_FEAT_HIDE_SDM_UI 0
#define L7_FEAT_HIDE_STM_CFG 0
#define L7_FEAT_IFA 0
#define L7_FEAT_IF_MIB_IF_STACK_TABLE 0
#define L7_FEAT_IGMP_SNOOPING_ROUTER_ALERT_TTL_TOS_CHECK 0
#define L7_FEAT_INSTRU_BHD 1
#define L7_FEAT_INSTRU_PACKET_TRACE 1
#define L7_FEAT_INSTRU_STRG_PROV 1
#define L7_FEAT_INTF_NUMBER_ALL 0
#define L7_FEAT_INTF_NUMBER_FORMAT_SIMPLE 0
#define L7_FEAT_IPMAP_MULTINETTING 1
#define L7_FEAT_IPMAP_PROXY_ARP 0
#define L7_FEAT_IPMAP_REJECTROUTE 1
#define L7_FEAT_IPMI_SUPPORT 0
#define L7_FEAT_IPSG_ON_IFP 0
#define L7_FEAT_IP_MGMNT_ENHANCEMENT 0
#define L7_FEAT_ISDP_SERVICE_PORT_SUPPORT 0
#define L7_FEAT_IUNIT_ADMIN_MGMT_PREF_SET 0
#define L7_FEAT_L7_MGMT_ACAL_DENY_TRAP 1
#define L7_FEAT_LAG_ACQUIRE_ON_CREATE 0
#define L7_FEAT_LAG_LIMIT_HPC 0
#define L7_FEAT_LAG_PRECREATE 1
#define L7_FEAT_LICENSE 0
#define L7_FEAT_LIMIT_DOT1P_TRAFFIC_CLASSES 0
#define L7_FEAT_LINK_DEBOUNCE_PER_INTERFACE 1
#define L7_FEAT_LINUX_HOSTNAME 1
#define L7_FEAT_LINUX_SYSTEM_HOST 1
#define L7_FEAT_LLDP_SERVICE_PORT_SUPPORT 0
#define L7_FEAT_LLMNR_FILTER_IPV6 0
#define L7_FEAT_LOCALIZATION_FILE_DELETE 0
#define L7_FEAT_LOCALIZATION_FILE_DOWNLOAD 0
#define L7_FEAT_LOCALIZATION_FILE_UPLOAD 0
#define L7_FEAT_LOCALIZATION_LANG_PACK 0
#define L7_FEAT_LOCALIZATION_LP_OVERWRITE 0
#define L7_FEAT_LOCALIZATION_SUPPORT 0
#define L7_FEAT_LOCAL_TELNET 0
#define L7_FEAT_LOCATOR_LED 0
#define L7_FEAT_LOG_CONFIG_CHANGE 0
#define L7_FEAT_LOOP_PROTECT_OWN_RECOVERY_TIMER 0
#define L7_FEAT_MACAL_ENHANCEMENTS 0
#define L7_FEAT_MAPPING_MTD_PARTNAME 0
#define L7_FEAT_MAX_POE_STATUS 0
#define L7_FEAT_MCAST_STORM_CTRL_SHUTDOWN 1
#define L7_FEAT_MFDB 1
#define L7_FEAT_MGMT_ACCESS 0
#define L7_FEAT_MGMT_DATA_SAVE 0
#define L7_FEAT_MGMT_PORT 0
#define L7_FEAT_MIB_OID_FOR_SMART 0
#define L7_FEAT_MIRRORING_CPU_INTF_DIRECTION_INTERCHANGE 0
#define L7_FEAT_MIRRORING_ERSPAN 1
#define L7_FEAT_MIRRORING_RSPAN_WITHOUT_DST_PROBE 0
#define L7_FEAT_MIRRORING_SOURCE_INTF_PER_SESSION_RESTRICTION 0
#define L7_FEAT_MKIMG_BUILD 0
#define L7_FEAT_MLD_SNOOPING 1
#define L7_FEAT_MULTI_SERIAL_CONFIG 0
#define L7_FEAT_NAME_BASED_VLAN_ASSIGNMENT 0
#define L7_FEAT_NDCM 1
#define L7_FEAT_NETWORK_PORT 1
#define L7_FEAT_NET_CONF 0
#define L7_FEAT_NLS_FILE_DELETE 0
#define L7_FEAT_NLS_FILE_DOWNLOAD 0
#define L7_FEAT_NLS_FILE_UPLOAD 0
#define L7_FEAT_NLS_LANG_PACK 0
#define L7_FEAT_NLS_LP_OVERWRITE 0
#define L7_FEAT_NLS_SUPPORT 0
#define L7_FEAT_NONSTACKING_SOFTWARE_AGING 0
#define L7_FEAT_NO_CONSOLE_CLI_SUPPORT 0
#define L7_FEAT_NO_SW_RESET_ON_EXCEPTION 0
#define L7_FEAT_NO_TEXT_CFG_SUPPORT 0
#define L7_FEAT_OAM_SOFTWARE_CCM 0
#define L7_FEAT_OVERRIDE_DEFAULT_CONFIG 1
#define L7_FEAT_OVERWRITE_ACTIVE_IMG 0
#define L7_FEAT_PACKET_CAPTURE_TO_USB 0
#define L7_FEAT_PERPORT_FLOW_CONTROL 0
#define L7_FEAT_PER_PORT_FLOW_CONTROL 0
#define L7_FEAT_PHY_LOOP_BACK 0
#define L7_FEAT_PLUGIN_STACKING_MODULE 0
#define L7_FEAT_POE_59111 0
#define L7_FEAT_POE_AUTO_RESET 0
#define L7_FEAT_POE_BRCM 0
#define L7_FEAT_POE_DETECTION_MODE_4PT_DOT3AF 1
#define L7_FEAT_POE_DETECTION_MODE_4PT_DOT3AF_LEGACY 1
#define L7_FEAT_POE_DETECTION_MODE_LEGACY_ONLY 1
#define L7_FEAT_POE_LION 0
#define L7_FEAT_POE_PD 0
#define L7_FEAT_POE_PLUS_3AT_SUPPORT 0
#define L7_FEAT_POE_PWRDSN 0
#define L7_FEAT_POE_PWR_SRC 0
#define L7_FEAT_POE_SYSTEM_HIGH_POWER_MODE 0
#define L7_FEAT_POE_SYSTEM_LOGICAL_PORT_MAP_MODE 0
#define L7_FEAT_POE_TIMER_CONTROL 0
#define L7_FEAT_POE_TMR_EVENT_REVERSAL 0
#define L7_FEAT_POE_UI_ENHANCEMENTS 0
#define L7_FEAT_POLICY_BASED_ROUTING 1
#define L7_FEAT_PORT_BASED_ROUTING 1
#define L7_FEAT_PORT_LOCATOR_LED 0
#define L7_FEAT_POWERMGR 0
#define L7_FEAT_PRIVATE_VLANS 1
#define L7_FEAT_PTP_PROFILE_8275 0
#define L7_FEAT_PVST 1
#define L7_FEAT_PWD_RECOVERY 1
#define L7_FEAT_PWR_USAGE_HISTORY 0
#define L7_FEAT_PYTHON 0
#define L7_FEAT_RADIUS_SERVER_TYPE_SUPPORT 0
#define L7_FEAT_RAMFS_CRCPROTECT 0
#define L7_FEAT_RAM_DOWNLOAD 0
#define L7_FEAT_REBOOT_WITH_FACTORY_DEFAULTS 0
#define L7_FEAT_REMOVE_POE_ADMIN_STATE_LINKED_TO_PORT_SHUTDOWN 0
#define L7_FEAT_RESILIENT_HASHING 1
#define L7_FEAT_RLIM_LOOPBACK 1
#define L7_FEAT_RLIM_TUNNEL 1
#define L7_FEAT_RMT_SESSION 0
#define L7_FEAT_RM_UNUSED 0
#define L7_FEAT_RM_UNUSED_UI 0
#define L7_FEAT_SAL_CONFIG_INIT_DEFAULTS 0
#define L7_FEAT_SAVE_CONFIG_COMMAND 0
#define L7_FEAT_SCRIPT_VALIDATE 0
#define L7_FEAT_SDM_DATA_CENTER 1
#define L7_FEAT_SDM_ONLY_DATA_CENTER_TEMPLATES 0
#define L7_FEAT_SDM_STM_TEMPLATES 0
#define L7_FEAT_SDM_TEMPLATE_ROUTING_V4_UNICAST_ONLY 0
#define L7_FEAT_SERVICE_PORT_GRATUITOUS_ARP 0
#define L7_FEAT_SERVICE_PORT_IPV4_CONFIG 0
#define L7_FEAT_SERVICE_PORT_IPV6_CONFIG 0
#define L7_FEAT_SERVICE_TAG 0
#define L7_FEAT_SFLOW_ONLAGMEMBER 1
#define L7_FEAT_SFP 0
#define L7_FEAT_SFP_ERR_DISABLE 0
#define L7_FEAT_SFP_LOCK 0
#define L7_FEAT_SFP_QUALIFICATION 0
#define L7_FEAT_SHOW_ADDITIONAL_INFO 0
#define L7_FEAT_SHOW_ENHANCEMENTS 0
#define L7_FEAT_SHOW_HARDWARE_ENHANCEMENTS 0
#define L7_FEAT_SHOW_PORT_STATUS_ALL 0
#define L7_FEAT_SHOW_RUNNING_INTERFACE 1
#define L7_FEAT_SHOW_VLAN_COMMAND_EXTENSION 0
#define L7_FEAT_SILICON_BUFFER_USAGE 0
#define L7_FEAT_SIM_CLOUD_MANAGED 0
#define L7_FEAT_SNMP_CONFAPI 1
#define L7_FEAT_SNMP_OVERRIDE_MIB_NAMES 0
#define L7_FEAT_SNMP_RADIUS_ACC_CLIENT 1
#define L7_FEAT_SNMP_SUPPORT 1
#define L7_FEAT_SNMP_USER_MAPPING 0
#define L7_FEAT_SNOOPING_PROXY_QUERIER 0
#define L7_FEAT_SNOOPING_STATIC_MROUTER_ENHANCEMENT_SUPPORT 0
#define L7_FEAT_SSHD_SECURE_SCP_REMOTE_TRANSFER 1
#define L7_FEAT_SSHD_SECURE_TRANSFER 1
#define L7_FEAT_STACKING_64_COMPAT 0
#define L7_FEAT_STACKING_K_COMPAT 0
#define L7_FEAT_STACK_FIRMWARE_SYNC 0
#define L7_FEAT_STACK_PORT_DIAG_DECIMAL 0
#define L7_FEAT_STACK_PORT_PAIR 0
#define L7_FEAT_STANDALONE_PHY 0
#define L7_FEAT_STATS_APP_TIME_INTERVAL_STATS 1
#define L7_FEAT_STATS_APP_TIME_RANGE_FLOW_STATS 1
#define L7_FEAT_STATS_APP_TIME_RANGE_GROUP_STATS 1
#define L7_FEAT_STORM_CONTROL_AUTO_RECOVERY_SEPARATE_TIMER 0
#define L7_FEAT_STRICT_POLICY_LIMIT 0
#define L7_FEAT_SYMMETRIC_HASHING 0
#define L7_FEAT_SYSLOG_CAPTURE_TO_USB 0
#define L7_FEAT_SYS_CONFIG_VALIDATE 0
#define L7_FEAT_TAHELPER 1
#define L7_FEAT_TASK_BASED_AUTHORIZATION 1
#define L7_FEAT_TD2_COUNTER_WAR 0
#define L7_FEAT_TEMPERATURE_THRESHOLD_NOCONFIG 0
#define L7_FEAT_TEXT_BASED_CONFIG 0
#define L7_FEAT_THIRDPARTY_ROUTES_SUPPORT 0
#define L7_FEAT_TIMERANGES_NO_GLOBAL 0
#define L7_FEAT_TIME_FORMAT 0
#define L7_FEAT_TIME_ZONE 0
#define L7_FEAT_TIME_ZONE_ID 0
#define L7_FEAT_TRAFFIC_LOAD_STATS 1
#define L7_FEAT_TRAPMGR 1
#define L7_FEAT_UBOOT_VER_SHOW 0
#define L7_FEAT_UCAST_STORM_CTRL_SHUTDOWN 1
#define L7_FEAT_UDS_CONSOLE 1
#define L7_FEAT_UID_LED 0
#define L7_FEAT_UNIQUE_L3_ROUTER_MAC 1
#define L7_FEAT_UNIT_ALL 0
#define L7_FEAT_USB_FLASH_DRIVE 0
#define L7_FEAT_USB_FLASH_DRIVE_AUTO_REBOOT 0
#define L7_FEAT_USB_FLASH_DRIVE_AUTO_SETUP 0
#define L7_FEAT_USB_FLASH_DRIVE_DEVICE_INFO 1
#define L7_FEAT_VLANDROPSTATS_IGNORE 0
#define L7_FEAT_VLAN_MAPPING 1
#define L7_FEAT_VOIP_OUI 0
#define L7_FEAT_VPD_CHEETAH_SUPPORT 0
#define L7_FEAT_VRRP_PROTO_VERSION_2 1
#define L7_FEAT_VRRP_PROTO_VERSION_3 1
#define L7_FEAT_WEB_ENHANCEMENTS 0
#define L7_FEAT_Y1731_ONLAGMEMBER 0
#define L7_FEAT_Y1731_SOFTWARE_CCM 0
#define L7_FEAT_YANG_FROM_MIB 0

#endif /* FEATURE_H */
